Get Learner Year Marks
Get the year and promotion marks for learners
GET https://integrate.d6plus.co.za/api/v1/currplus/learneryearmarks/{school_login_id}
Use this endpoint to fetch the year marks and promotion marks for the specified school, for the specified year.
The results are grouped per mark type ("Promotion mark" and "Year mark"), per grade, per learner, per subject.
Marks are based on each learner's latest term of enrolment for the year, for the learner's current subjects. Subjects excluded from report cards are not included.
By default marks are returned for the CAPS curriculum. A different curriculum can be requested with the optional curriculum_id parameter.
Path Parameters
school_login_id*
Integer
The login ID of the school to retrieve data from
Query Parameters
year*
Integer
The administrative year to return marks for
learner_id
Integer
The ID of a specific learner
subject_id
Integer
Only return marks for the specified subject
curriculum_id
Integer
The ID of the curriculum. Defaults to the CAPS curriculum
Headers
HTTP-X-USERNAME*
String
As provided by d6
HTTP-X-PASSWORD*
String
As provided by d6
[
{
"mark_type": "Promotion mark",
"grades": {
"7": {
"grade_id": "7",
"grade": "5",
"learners": {
"1": {
"learner_id": "1",
"subjects": {
"327": {
"subject_id": "327",
"subject_name": "Mathematics (Gr 05)",
"moderated_percentage": "68.00",
"original_percentage": "72.00",
"was_moderated": "1",
"threshold": "35.00"
},
"105": {
"subject_id": "105",
"subject_name": "English First Additional Language (Gr 05)",
"moderated_percentage": "77.14",
"original_percentage": "77.14",
"was_moderated": "0",
"threshold": null
}
}
}
}
}
}
},
{
"mark_type": "Year mark",
"grades": {
"7": {
"grade_id": "7",
"grade": "5",
"learners": {
"1": {
"learner_id": "1",
"subjects": {
"327": {
"subject_id": "327",
"subject_name": "Mathematics (Gr 05)",
"moderated_percentage": "70.50",
"original_percentage": "70.50",
"was_moderated": "0",
"threshold": null
}
}
}
}
}
}
}
]Notes on the subject fields:
moderated_percentageis the mark after moderation. If no moderation was applied, it is equal tooriginal_percentage.original_percentageis the calculated mark before any moderation.was_moderatedindicates whether the mark was moderated (1) or not (0).thresholdis the moderation threshold configured for the subject's marks formula, if any.
Examples
Last updated